Package com.xmlmind.util

## Enum Console.MessageType

- java.lang.Object
- - java.lang.Enum<Console.MessageType>
  - - com.xmlmind.util.Console.MessageType

- All Implemented Interfaces:
    `Serializable`, `Comparable<Console.MessageType>`
  Enclosing interface:
    Console

      public static enum Console.MessageType
      extends Enum<Console.MessageType>

  Message types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DEBUG` | A debugging or trace message.
    `ERROR` | A non-fatal error message.
    `INFO` | An information message.
    `VERBOSE` | A low-level information message.
    `WARNING` | A warning message.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Console.MessageType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static Console.MessageType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ERROR

          public static final Console.MessageType ERROR

      A non-fatal error message.

    - #### WARNING

          public static final Console.MessageType WARNING

      A warning message.

    - #### INFO

          public static final Console.MessageType INFO

      An information message.

    - #### VERBOSE

          public static final Console.MessageType VERBOSE

      A low-level information message.

    - #### DEBUG

          public static final Console.MessageType DEBUG

      A debugging or trace message.

  - ### Method Detail

    - #### values

          public static Console.MessageType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Console.MessageType c : Console.MessageType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Console.MessageType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null